package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * ModifyVoipDeviceOsgSettingEntity
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class ModifyVoipDeviceOsgSettingEntity   {
  @JsonProperty("voipDeviceOsgConfiguration")
  private Object voipDeviceOsgConfiguration;

  @JsonProperty("telephoneNumberAdvancedSetting")
  private TelephoneNumberAdvancedSettingOsgOpenApiVo telephoneNumberAdvancedSetting;

  @JsonProperty("skipConfirm")
  private Boolean skipConfirm;

  public ModifyVoipDeviceOsgSettingEntity voipDeviceOsgConfiguration(Object voipDeviceOsgConfiguration) {
    this.voipDeviceOsgConfiguration = voipDeviceOsgConfiguration;
    return this;
  }

  /**
   * Get voipDeviceOsgConfiguration
   * @return voipDeviceOsgConfiguration
  */
  @ApiModelProperty(value = "")

  @Valid

  public Object getVoipDeviceOsgConfiguration() {
    return voipDeviceOsgConfiguration;
  }

  public void setVoipDeviceOsgConfiguration(Object voipDeviceOsgConfiguration) {
    this.voipDeviceOsgConfiguration = voipDeviceOsgConfiguration;
  }

  public ModifyVoipDeviceOsgSettingEntity telephoneNumberAdvancedSetting(TelephoneNumberAdvancedSettingOsgOpenApiVo telephoneNumberAdvancedSetting) {
    this.telephoneNumberAdvancedSetting = telephoneNumberAdvancedSetting;
    return this;
  }

  /**
   * Get telephoneNumberAdvancedSetting
   * @return telephoneNumberAdvancedSetting
  */
  @ApiModelProperty(value = "")

  @Valid

  public TelephoneNumberAdvancedSettingOsgOpenApiVo getTelephoneNumberAdvancedSetting() {
    return telephoneNumberAdvancedSetting;
  }

  public void setTelephoneNumberAdvancedSetting(TelephoneNumberAdvancedSettingOsgOpenApiVo telephoneNumberAdvancedSetting) {
    this.telephoneNumberAdvancedSetting = telephoneNumberAdvancedSetting;
  }

  public ModifyVoipDeviceOsgSettingEntity skipConfirm(Boolean skipConfirm) {
    this.skipConfirm = skipConfirm;
    return this;
  }

  /**
   * skipConfirm indicates whether to skip the query of \"#'s conflict\" of voip device settings. false: Not to skip the query. true: Skip the query and the device will give priority to the \"end with #\" configuration. 
   * @return skipConfirm
  */
  @ApiModelProperty(required = true, value = "skipConfirm indicates whether to skip the query of \"#'s conflict\" of voip device settings. false: Not to skip the query. true: Skip the query and the device will give priority to the \"end with #\" configuration. ")
  @NotNull


  public Boolean getSkipConfirm() {
    return skipConfirm;
  }

  public void setSkipConfirm(Boolean skipConfirm) {
    this.skipConfirm = skipConfirm;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ModifyVoipDeviceOsgSettingEntity modifyVoipDeviceOsgSettingEntity = (ModifyVoipDeviceOsgSettingEntity) o;
    return Objects.equals(this.voipDeviceOsgConfiguration, modifyVoipDeviceOsgSettingEntity.voipDeviceOsgConfiguration) &&
        Objects.equals(this.telephoneNumberAdvancedSetting, modifyVoipDeviceOsgSettingEntity.telephoneNumberAdvancedSetting) &&
        Objects.equals(this.skipConfirm, modifyVoipDeviceOsgSettingEntity.skipConfirm);
  }

  @Override
  public int hashCode() {
    return Objects.hash(voipDeviceOsgConfiguration, telephoneNumberAdvancedSetting, skipConfirm);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ModifyVoipDeviceOsgSettingEntity {\n");
    
    sb.append("    voipDeviceOsgConfiguration: ").append(toIndentedString(voipDeviceOsgConfiguration)).append("\n");
    sb.append("    telephoneNumberAdvancedSetting: ").append(toIndentedString(telephoneNumberAdvancedSetting)).append("\n");
    sb.append("    skipConfirm: ").append(toIndentedString(skipConfirm)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

